:root {
    --primary-color: #00529F;
    --primary-dark: #004382;
    --accent-color: #D8D8D8;
    --text-color: #1A271B;
}

/* Main Layout */
body.blog main,
body.single-post main {
    padding-bottom: 1.5rem;
}
body.single-post main {
    width: 70%;
    min-width: 690px;
    margin: 0 auto;
}

/* Header */
body.blog .archive-header,
body.single-post .post-header {
    background-color: var(--primary-color);
    color: white;
    padding: 0.25rem 4rem;
    font-weight: bold;
    font-size: 2rem;
    text-transform: uppercase;
    margin-bottom: 1.5rem;
}
body.single-post .post-header {
    font-size: 1rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
}
body.blog .archive-header a,
body.single-post .post-header a {
    color: white;
}
body.blog .archive-header a:hover,
body.single-post .post-header a:hover {
    text-decoration: underline;
}

/* Archive Layout */
body.blog article.post {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 0 1.5rem;
    padding: 1.5rem 0;
}
body.blog article.post .entry-image {
    flex-basis: calc( 50% - 0.75rem );
    width: 100%;
}
body.blog article.post .entry-detail {
    flex-basis: calc( 50% - 0.75rem );
    width: 100%;
}

/* Entry Image */
body.blog article.post .entry-image,
body.single-post article.post .entry-image {
    margin-bottom: 1.5rem;
}
body.blog article.post .entry-image img,
body.single-post article.post .entry-image img {
    width: 100%;
    height: auto;
    margin: 0;
}

/* Entry Date */
body.blog article.post .entry-date,
body.single-post article.post .entry-date {
    margin-bottom: 0.5rem;
    font-size: 0.875rem;
}
body.single-post article.post .entry-date {
    margin-bottom: 0.25rem;
}

/* Entry Title */
body.blog article.post .entry-title,
body.single-post article.post .entry-title {
    font-size: 1.5rem;
    font-weight: bold;
    margin-top: 0;
    margin-bottom: 0.25rem;
    line-height: 1.2;
}
body.blog article.post .entry-title a {
    color: var(--text-color);
    text-decoration: none;
}
body.blog article.post .entry-title a:hover {
    color: var(--primary-color);
    text-decoration: underline;
}

/* Entry Location */
body.blog article.post .entry-location,
body.single-post article.post .entry-location,
body.blog article.post .entry-content p {
    margin-bottom: 0.75rem;
}
body.blog article.post .entry-location,
body.single-post article.post .entry-location {
    color: var(--primary-color);
}

/* Read More */
body.blog article.post .read-more {
    display: inline-block;
    text-transform: uppercase;
    text-decoration: underline;
}
body.blog article.post .entry-location a:hover,
body.blog article.post .read-more:hover {
    color: var(--primary-dark);
}

/* Post Navigation */
body.single-post .post-nav {
    text-align: right;
    margin-bottom: 1.5rem;
}
body.single-post .post-nav a {
    color: var(--primary-color);
    text-transform: uppercase;
    text-decoration: underline;
}
body.single-post .post-nav a:hover {
    color: var(--primary-dark);
}

/* General Block Styles */
body.single-post .entry-content > * {
    margin-bottom: 1.65em;
}
body.single-post .entry-content .wp-block-embed.aligncenter iframe {
    margin-left: auto;
    margin-right: auto;
}

/** Responsive Styles */
@media screen and (max-width: 1333px) {
    body.blog .archive-loop.wrapper {
        padding-left: 4rem;
        padding-right: 4rem;
        max-width: 100%;
        width: 100%;
    }
}

@media screen and (max-width: 999px) {
    body.blog .archive-header,
    body.single-post .post-header,
    body.blog .archive-loop.wrapper {
        padding-left: 3rem;
        padding-right: 3rem;
    }
}

@media screen and (max-width: 888px) {
    body.blog article.post {
        flex-direction: column;
    }
    body.blog article.post:not(:last-child) {
        border-bottom: 1px solid var(--text-color);
    }
    body.blog article.post .entry-image,
    body.blog article.post .entry-detail {
        flex-basis: 100%;
    }
}

@media screen and (max-width: 777px) {
    body.single-post main {
        width: auto;
        min-width: 0;
        max-width: 100%;
        padding-left: 3rem;
        padding-right: 3rem;
    }
}

@media screen and (max-width: 499px) {
    body.blog .archive-header,
    body.single-post .post-header,
    body.single-post main,
    body.blog .archive-loop.wrapper {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }
}
